--- old/usr/src/lib/libm/common/LD/__tanl.c	2014-05-04 03:05:16.932573892 +0200
+++ new/usr/src/lib/libm/common/LD/__tanl.c	2014-05-04 03:05:17.176255223 +0200
@@ -111,15 +111,15 @@
 /* INDENT ON */
 long double
 __k_tanl(long double x, long double y, int k) {
-	long double a, t, z, w, s, c;
+	long double a, t, z, w = 0.0, s, c;
 	int *pt = (int *) &t, *px = (int *) &x;
 	int i, j, hx, ix;
 
 	t = 1.0;
-#if defined(_BIG_ENDIAN)
-	hx = px[0];
-#else
+#if defined(__i386) || defined(__amd64)
 	XTOI(px, hx);
+#else
+	hx = px[0];
 #endif
 	ix = hx & 0x7fffffff;
 	if (ix < 0x3ffc4000) {
@@ -142,10 +142,10 @@
 	}
 	j = (ix + 0x400) & 0x7ffff800;
 	i = (j - 0x3ffc4000) >> 11;
-#if defined(_BIG_ENDIAN)
-	pt[0] = j;
-#else
+#if defined(__i386) || defined(__amd64)
 	ITOX(j, pt);
+#else
+	pt[0] = j;
 #endif
 	if (hx > 0)
 		x = y - (t - x);
